package com.ruoyi.programManagement.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.programManagement.service.IUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.service.ResponseMessage;

/**
 * @Project: emergency-management2
 * @Package: com.geowisdom.emergencymanagement.business.controller
 * @ClassName: UserController
 * @Description: TODO
 * @Author: Jason<genyong.yang @ gmail.com>
 * @Date: 2021/7/18 12:31
 * @Version: V1.0
 */
@RestController
@RequestMapping("/pharmaceuticals/user")
@Api(tags = "用户信息接口")
@CrossOrigin
public class UserController {

    @Autowired
    IUserService userService;

    @ApiOperation(value = "获取用户信息", notes = "根据code获取用户信息")
    @GetMapping("/getUserInfo")
    public AjaxResult getAllGeoLayers(@RequestParam  String code) {

        return AjaxResult.success(userService.getUserByCode(code));

    }
}
