package com.ruoyi.programManagement.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 省重点企业表请求类
 */
@Data
public class BKeyEnterprisePageRequest implements Serializable {



    /**
     * 年份
     */
    @Excel(name = "年份")
    @ApiModelProperty("年份")
    private String year;

    /**
     * 年份
     */
    @ApiModelProperty("信用代码")
    private String entCode;

    /**
     * 年份
     */
    @ApiModelProperty("企业名称")
    private String enterpriseName;

    /**
     * size
     */
    @ApiModelProperty("size")
    private int pageSize;


    /**
     * num
     */
    @ApiModelProperty("num")
    private int pageNum;

}
