package com.ruoyi.programManagement.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.programManagement.entity.BKeyEnterprise;
import com.ruoyi.programManagement.entity.request.BKeyEnterprisePageRequest;

import java.util.List;
import java.util.Map;

/**
 * 省重点企业表(BKeyEnterprise)表服务接口
 *
 * @author wu
 * @since 2023-09-07 09:43:06
 */
public interface BKeyEnterpriseService extends IService<BKeyEnterprise> {


    /**
     * 导入重点企业
     *
     * @return 结果
     */
    public String importUser(List<BKeyEnterprise> bKeyEnterpriseList);

    /**
     * 分页条件查询所有数据
     *
     * @param req 查询条件
     * @return 所有数据
     */
    public Map<String, Object> page(BKeyEnterprisePageRequest req);

    /**
     * @param entCode 企业代码
     * @return
     */

    BKeyEnterprise getByentCode(String entCode);

//
//    /**
//     * 根据行政区划代码查询重点企业数量
//     *
//     * @param district 行政区划代码
//     * @return 结果集合
//     */
//
//    Integer getBydistrict(String district);
}

