package com.ruoyi.programManagement.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 行政区划对象 b_administrative_division
 *
 * @author ruoyi
 * @since 2023-12-12
 */
@Data
@ApiModel("行政区划")
public class BAdministrativeDivision extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区县代码
     */
    @Excel(name = "区县代码")
    @ApiModelProperty(value = "区县代码")
    private String districtCode;

    /**
     * 区县
     */
    @Excel(name = "区县")
    @ApiModelProperty(value = "区县")
    private String district;

    /**
     * 乡镇代码
     */
    @Excel(name = "乡镇代码")
    @ApiModelProperty(value = "乡镇代码")
    private String countyCode;

    /**
     * 乡镇
     */
    @Excel(name = "乡镇")
    @ApiModelProperty(value = "乡镇")
    private String county;

    /**
     * 排序
     */
    @Excel(name = "排序")
    @ApiModelProperty(value = "排序")
    private Long sort;


}
