package com.ruoyi.programManagement.entity.vo;

import lombok.Data;

/**
 * @Project: emergency-management2
 * @Package: com.geowisdom.emergencymanagement.business.vo
 * @ClassName: UserVO
 * @Description: TODO
 * @Author: Jason<genyong.yang @ gmail.com>
 * @Date: 2021/7/18 12:49
 * @Version: V1.0
 */
@Data
public class UserVO<T> {
    private Integer code;

    private String msg;

    private T data;

    public UserVO() {
    }

    public UserVO(Integer code, String message) {
        this.code = code;
        this.msg = message;
    }

    public UserVO(Integer code, String message, T data) {
        this.code = code;
        this.msg = message;
        this.data = data;
    }
}
